package com.kingdee.eas.custom.permissioncontrol.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.eas.custom.permissioncontrol.task.*;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class PermApplyBillFacade extends AbstractBizCtrl implements IPermApplyBillFacade
{
    public PermApplyBillFacade()
    {
        super();
        registerInterface(IPermApplyBillFacade.class, this);
    }
    public PermApplyBillFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IPermApplyBillFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("658401AE");
    }
    private PermApplyBillFacadeController getController() throws BOSException
    {
        return (PermApplyBillFacadeController)getBizController();
    }
    /**
     *更新生效单据-User defined method
     *@param billID 单据id
     */
    public void updateEffectBill(String billID) throws BOSException, EASBizException
    {
        try {
            getController().updateEffectBill(getContext(), billID);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}